
%define name mythtv
%define version 0.20
%define snapshot 0
%define rel 1

%if %snapshot
%define release %mkrel 0.%snapshot.%rel
%else
%define release %mkrel %rel
%endif
%define distsuffix plf

%define lib_name_orig libmyth
%define lib_major 0.20
%define lib_name %mklibname myth %{lib_major}

%if %mdkversion <= 1020
%define _logdir /var/log
%endif

%if %mdkversion >= 1020
%define maenable 1
%endif

#set default build options
%define build_alsa		1
%define build_arts		1
%define build_jack		1
%define build_oss		1
%define build_directfb		0
%define build_directx		0
%define build_dvb		1
%if %mdkversion > 1020
%define build_firewire		1
%else
%define build_firewire          0
%endif
%define build_ivtv		1
%define build_joystick		1
%define build_lirc		1
%define build_opengl_vsync	1
%define build_x11		1
%define build_xrandr		1
%define build_xv		1
%define build_xvmc		1
%define build_dvd		1

#enable/disable building for certain hardware
%{?_without_alsa:		%global build_alsa 0}
%{?_without_arts:		%global build_arts 0}
%{?_without_dvd:                %global build_dvd 0}
%{?_without_jack:		%global build_jack 0}
%{?_without_oss:		%global build_oss 0}
%{?_without_directfb:		%global build_directfb 0}
%{?_without_directx:		%global build_directx 0}
%{?_without_dvb:		%global build_dvb 0}
%{?_without_firewire:		%global build_firewire 0}
%{?_without_ivtv:		%global build_ivtv 0}
%{?_without_joystick:		%global build_joystick 0}
%{?_without_lirc:		%global build_lirc 0}
%{?_without_opengl_vsync:	%global build_opengl_vsync 0}
%{?_without_x11:		%global build_x11 0}
%{?_without_xrandr:		%global build_xrandr 0}
%{?_without_xv:			%global build_xv 0}
%{?_without_xvmc:		%global build_xvmc 0}

%{?_with_alsa:			%global build_alsa 1}
%{?_with_arts:			%global build_arts 1}
%{?_with_dvd:			%global build_dvd 1}
%{?_with_jack:			%global build_jack 1}
%{?_with_oss:			%global build_oss 1}
%{?_with_directfb:		%global build_directfb 1}
%{?_with_directx:		%global build_directx 1}
%{?_with_firewire:		%global build_firewire 1}
%{?_with_ivtv:			%global build_ivtv 1}
%{?_with_joystick:		%global build_joystick 1}
%{?_with_lirc:			%global build_lirc 1}
%{?_with_opengl_vsync:		%global build_opengl_vsync 1}
%{?_with_x11:			%global build_x11 1}
%{?_with_xrandr:		%global build_xrandr 1}
%{?_with_xv:			%global build_xv 1}
%{?_with_xvmc:			%global build_xvmc 1}


Summary: A personal video recorder (PVR) application
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.mythtv.org/
License: GPL
Group: Video
%if %snapshot
Source0: %{name}-%{snapshot}.tar.bz2
%else
Source0: %{name}-%{version}.tar.bz2
%endif
Source1: mythbackend.sysconfig.in
Source2: mythbackend.init.in
Source3: mythbackend.logrotate.in
Source4: 99MythFrontend
Patch0: mythtv-dts-pic.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires:	ImageMagick

BuildRequires:	lame-devel
BuildRequires:	qt3-devel
BuildRequires:	dtsdec-devel

%if %{build_alsa}
BuildRequires:	libalsa-devel
%endif
%if %{build_arts}
BuildRequires:	libarts-devel
%endif
%if %{build_dvd}
BuildRequires:	libdvdnav-devel
%endif
%if %{build_jack}
BuildRequires:	libjack-devel
%endif
%if %{build_directfb}
BuildRequires:	libdirectfb-devel
%endif
%if %{build_firewire}
BuildRequires:	libavc1394-devel
BuildRequires:	libiec61883-devel
%endif
%if %{build_lirc}
BuildRequires:	lirc-devel
%endif
%if %{build_opengl_vsync}
%if %mdkversion > 200600
BuildRequires:	mesaglu-devel
%else
BuildRequires:	MesaGLU-devel
%endif
%endif
%if %{build_x11}
BuildRequires:	X11-devel
%endif
%if %maenable	 	
BuildRequires:  multiarch-utils	 	
%endif
Requires: %mklibname qt3-mysql

%description
MythTV implements the following PVR features, and more, with a
unified graphical interface:

 - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing

This package is in PLF because it depends on lame which is in PLF.

%package -n %{lib_name}
Summary: Library providing mythtv support
Group: System/Libraries
Provides: %{lib_name_orig} = %{version} 

%description -n %{lib_name}
Common library code for MythTV and add-on modules (development)
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package is in PLF because it depends on lame which is in PLF.

%package -n %{lib_name}-devel
Summary: Development files for libmyth
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}

%description -n %{lib_name}-devel
This package contains the header files and libraries for developing
add-ons for mythtv.

This package is in PLF because it depends on lame which is in PLF.

%package themes
Summary: Base themes for mythtv's frontend
Group: Video

%description themes
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the base themes used by mythtv-frontend and
mythtv-setup.

This package is in PLF because it depends on mythtv which is in PLF.

%package frontend
Summary: Client component of mythtv (a PVR)
Group: Video
Requires: %{name} = %{version}
Requires: mythtv-themes = %{version}

%description frontend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the client software, which provides a
front-end for playback and configuration.  It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.

This package is in PLF because it depends on mythtv which is in PLF.

%package backend
Summary: Server component of mythtv (a PVR)
Group: Video
Requires: %{lib_name} = %{version}
Requires: %{name} = %{version}

%description backend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the server software, which provides video
and audio capture and encoding services.  In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.

This package is in PLF because it depends on mythtv which is in PLF.

%package setup
Summary: Setup the mythtv backend
Group: Video
Requires: %{name} = %{version}
Requires: mythtv-backend = %{version}
Requires: mythtv-themes = %{version}
Obsoletes: mythtvsetup
Provides: mythtvsetup

%description setup
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the setup software for configuring the mythtv
backend.

This package is in PLF because it depends on mythtv which is in PLF.

%prep
%if %snapshot
%setup -q -n %name
%else
%setup -q
%endif
%patch0 -p1

find . -type f | xargs grep -l /usr/local | xargs perl -pi -e's|/usr/local|%{_prefix}|g'

echo "QMAKE_PROJECT_DEPTH = 0" >> mythtv.pro
echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro

cp -a %{SOURCE1} %{SOURCE2} %{SOURCE3} .
for file in mythbackend.init \
            mythbackend.sysconfig \
            mythbackend.logrotate; do
  sed -e's|@logdir@|%{_logdir}|g' \
      -e's|@rundir@|%{_var}/run|g' \
      -e's|@sysconfigdir@|%{_sysconfdir}/mythtv|g' \
      -e's|@initdir@|%{_initrddir}|g' \
      -e's|@bindir@|%{_bindir}|g' \
      -e's|@sbindir@|%{_sbindir}|g' \
      -e's|@subsysdir@|%{_var}/lock/subsys|g' \
      -e's|@varlibdir@|%{_localstatedir}|g' \
      -e's|@varcachedir@|%{_var}/cache|g' \
      -e's|@logrotatedir@|%{_sysconfdir}/logrotate.d|g' \
  < $file.in > $file
done

# Fix the has_library function in myth configure for lib64
perl -pi -e's|echo \$LIBPATHS /lib /usr/lib|echo \$LIBPATHS /%{_lib} %{_libdir}|g' configure

# Fix the arts detection
perl -pi -e's|\$audio_arts_cflags|\$audio_arts_tmp|' configure

# default recordings dir
perl -pi -e's|/mnt/store|%{_localstatedir}/mythtv/recordings|' programs/mythtv-setup/backendsettings.cpp

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

./configure --prefix=%{_prefix} --libdir-name=%{_lib} \
%if !%{build_alsa}
	--disable-audio-alsa \
%endif
%if !%{build_arts}
	--disable-audio-arts \
%endif
%if !%{build_jack}
	--disable-audio-jack \
%endif
%if !%{build_oss}
	--disable-audio-oss \
%endif
%if %{build_directfb}
	--enable-directfb \
%endif
%if %{build_directx}
	--enable-directx \
%endif
%if %{build_dvb}
	--enable-dvb \
%endif
%if !%{build_dvd}
	--disable-dvd \
%endif
%if !%{build_firewire}
	--disable-firewire \
%else
	--enable-firewire \
%endif
%if !%{build_ivtv}
	--disable-ivtv \
%endif
%if !%{build_joystick}
	--disable-joystick-menu \
%endif
%if !%{build_lirc}
	--disable-lirc \
%endif
%if %{build_opengl_vsync}
	--enable-opengl-vsync \
%endif
%if !%{build_x11}
	--disable-x11 \
%endif
%if !%{build_xrandr}
	--disable-xrandr \
%endif
%if !%{build_xv}
	--disable-xv \
%endif
%if %{build_xvmc}
	--enable-xvmc --enable-xvmc-pro
%endif

%make
#find contrib -type f | xargs -r chmod a-x 

%install
rm -rf %{buildroot}

INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
%makeinstall

%if %maenable
%multiarch_includes %{buildroot}%_includedir/mythtv/mythconfig.h
%endif

mkdir -p %{buildroot}%{_localstatedir}/mythtv
mkdir -p %{buildroot}%{_localstatedir}/mythtv/recordings
mkdir -p %{buildroot}%{_var}/cache/mythtv
mkdir -p %{buildroot}%{_logdir}/mythtv
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/mythtv

install -p mythbackend.init %{buildroot}%{_initrddir}/mythbackend
install -p mythbackend.sysconfig %{buildroot}%{_sysconfdir}/mythtv/mythbackend
install -p mythbackend.logrotate  %{buildroot}%{_sysconfdir}/logrotate.d

# wmsession.d for mythfrontend
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
install -p %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d

# icon
mkdir -p %{buildroot}/%{_miconsdir}
convert programs/mythuitest/images/tv.png -resize 16x16 %buildroot/%{_miconsdir}/%name.png
mkdir -p %{buildroot}/%{_iconsdir}
convert programs/mythuitest/images/tv.png -resize 32x32 %buildroot/%{_iconsdir}/%name.png
mkdir -p %{buildroot}/%{_liconsdir}
convert programs/mythuitest/images/tv.png -resize 48x48 %buildroot/%{_liconsdir}/%name.png

mkdir -p %{buildroot}%{_menudir}
# Mandrake Menu entrys
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/mythtv-frontend
?package(mythtv-frontend): \
needs="x11" \
section="Multimedia/Video" \
title="MythTV" \
longtitle="Record, playback and watch TV" \
command="%{_bindir}/mythfrontend" \
icon="%name.png" \
terminal="false"
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/mythtv-setup
?package(mythtv-setup): \
needs="x11" \
section="Multimedia/Video" \
title="MythTV Setup" \
longtitle="Setup MythTV backend" \
command="%{_bindir}/mythtv-setup" \
icon="%name.png" \
terminal="false"
EOF

install -d -m755 %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-mythtv-frontend.desktop
[Desktop Entry]
Name=MythTV
Comment=Record, playback and watch TV
Exec=%{_bindir}/mythfrontend
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
Encoding=UTF-8
EOF
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-mythtv-setup.desktop
[Desktop Entry]
Name=MythTV Setup
Comment=Setup MythTV backend
Exec=%{_bindir}/mythtv-setup
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
Encoding=UTF-8
EOF

cat > README.urpmi <<EOF
If this is a new install (NOT an upgrade), you can import the
initial database by running:
mysql -u root -p < %{_docdir}/mythtv-%{version}/database/mc.sql
(you can omit -p if you do not have the password set)

IMPORTANT NOTICE IF UPGRADING FROM MYTHTV <= 0.18:
As of mythtv-backend-0.19-1plf, the mythbackend is run as user
mythtv instead of root for increased security. If you're upgrading
from pre-0.19 PLF release, you have to chown the old mythtv files
to the ownership of mythtv:mythtv.
You have to do the following as root:
chown -R mythtv:mythtv %{_localstatedir}/mythtv %{_var}/cache/mythtv %{_logdir}/mythtv
You also have to chown any recording dirs etc you have.
EOF

mkdir -p %{buildroot}%{_libdir}/mythtv/plugins

#mkdir -p %{buildroot}%{_datadir}/mythtv/build/
#install -p settings.pro %{buildroot}%{_datadir}/mythtv/build/

%clean
rm -rf %{buildroot}

%pre backend
# Add the "mythtv" user
%_pre_useradd mythtv %{_localstatedir}/mythtv /sbin/nologin
%{_bindir}/gpasswd -a mythtv audio &>/dev/null
%{_bindir}/gpasswd -a mythtv video &>/dev/null

%postun backend
%_postun_userdel mythtv

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post backend
%_post_service mythbackend

%preun backend
%_preun_service mythbackend

%post frontend
%{update_menus}
%{make_session}

%postun frontend
%{clean_menus}
%{make_session}

%post setup
%{update_menus}

%postun setup
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc README UPGRADING AUTHORS COPYING FAQ
%doc database keys.txt
%doc docs/*.html docs/*.png docs/*.txt docs/i18n contrib
%doc configfiles

%files backend
%defattr(-,root,root,-)
%doc README.urpmi
#%config(noreplace) %{_datadir}/mythtv/mysql.txt
%{_bindir}/mythbackend
%{_bindir}/mythfilldatabase
%{_bindir}/mythjobqueue
%attr(-,mythtv,mythtv) %dir %{_localstatedir}/mythtv
%attr(-,mythtv,mythtv) %dir %{_localstatedir}/mythtv/recordings
%attr(-,mythtv,mythtv) %dir %{_var}/cache/mythtv
%{_initrddir}/mythbackend
%config(noreplace) %{_sysconfdir}/mythtv/mythbackend
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%attr(-,mythtv,mythtv) %dir %{_logdir}/mythtv
%{_datadir}/mythtv/setup.xml

%files frontend
%defattr(-,root,root,-)
#%config(noreplace) %{_datadir}/mythtv/mysql.txt
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/99MythFrontend
%{_datadir}/mythtv/*.xml
%{_bindir}/mythwelcome
%{_bindir}/mythfrontend
%{_bindir}/mythtv
%{_bindir}/mythcommflag
%{_bindir}/mythlcdserver
%{_bindir}/mythtranscode
%{_bindir}/mythtvosd
%{_bindir}/mythreplex
%{_bindir}/mythshutdown
%{_libdir}/mythtv/filters
%{_libdir}/mythtv/plugins
%{_datadir}/mythtv/*.ttf
%{_datadir}/mythtv/i18n/*.qm
%{_menudir}/mythtv-frontend
%{_datadir}/applications/mandriva-mythtv-frontend.desktop

%files setup
%defattr(-,root,root,-)
%{_bindir}/mythtv-setup
%{_menudir}/mythtv-setup
%{_datadir}/applications/mandriva-mythtv-setup.desktop

%files themes
%defattr(-,root,root,-)
%{_datadir}/mythtv/themes
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*-%lib_major.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%if %maenable
%multiarch %{multiarch_includedir}/mythtv/mythconfig.h
%endif
%{_includedir}/mythtv
# FIXME: Manually multiarch mythconfig.mak
%{_libdir}/*-%lib_major.so
%{_libdir}/*.a
#%{_datadir}/mythtv/build/settings.pro

%changelog
* Tue Sep 12 2006 Anssi Hannula <anssi@zarb.org> 0.20-1plf2007.0
- 0.20
- xdg menu

* Sun Jul 16 2006 Anssi Hannula <anssi@zarb.org> 0.19.1-0.10553.1plf2007.0
- new snapshot of the stable branch
- minor fix to README.urpmi
- backportability buildrequires fix

* Sun Jun 04 2006 Stefan van der Eijk <stefan@zarb.org> 0.19-4plf
- fix BuildRequires (new mesa naming)
- add wmsession file for mythfrontend

* Sun Apr 23 2006 Anssi Hannula <anssi@zarb.org> 0.19-3plf
- fix PLF reason

* Tue Feb 21 2006 Anssi Hannula <anssi@zarb.org> 0.19-2plf
- fix menus
- add mythtv user to audio group

* Tue Feb 21 2006 Anssi Hannula <anssi@zarb.org> 0.19-1plf
- enable dvd by default
- clean spec
- drop patch0, don't force O_STREAMING if not supported by kernel/headers
- drop patch4, patch5, fixed upstream
- fix icons
- drop patch1, unneeded
- fix requires qt3-mysql
- convert to README.urpmi
- use dts_pic (patch0)
- mythtv user created by backend only
- mythbackend runs as user mythtv, add notice to README.urpmi
- fix build with arts
- drop broken nvidia/via renaming thing, use xvmcw by default
- apply default recordings dir of /var/lib/mythtv/recordings
- add mythtv user to video group

* Sat Oct 15 2005 Anssi Hannula <anssi@zarb.org> 0.18.2-0.7467.2plf
- fix requires qt3-MySQL

* Thu Oct 13 2005 Anssi Hannula <anssi@zarb.org> 0.18.2-0.7467.1plf
- upgrade to release-0-18-fixes svn branch revision 7467

* Mon Oct 10 2005 Anssi Hannula <anssi@zarb.org> 0.18.1-20050618.6plf
- fix x86_64 build (patch5)
- use %%_post_service %%_preun_service %%_pre_useradd %%_postun_userdel

* Mon Aug 22 2005 Stefan van der Eijk <stefan@zarb.org> 0.18.1-20050618.5plf
- fix menu's
- add menu entry to setup package
- move icons of menus to themes package
- add distsuffix
- fix filelist: include files
- add %%{_logdir} define for  %mdkversion <= 1020
- add versioned Provides to devel package

* Sun Jul 24 2005 Stefan van der Eijk <stefan@zarb.org> 0.18.1-20050618.4plf
- use mythtv-setup name consitantly
- add Requires for theme package on frontend package
- modified Source2 --> default runlevels
- use %%mkrel
- replace non-standard defines with standard defines

* Thu Jul 14 2005 Stefan van der Eijk <stefan@zarb.org> 0.18.1-20050618.3plf
- BuildRequires

* Mon Jun 20 2005 Austin Acton <austin@zarb.org> 0.18.1-20050618.2plf
- get rid of some unnecessary version dependencies
- get rid of some unnecessary requires

* Fri Jun 18 2005 Austin Acton <austin@zarb.org> 0.18.1-20050618.1plf
- bring back to PLF
- bump to CVS for gcc4 and dvb fixes
- fix library major version
- fix some rpmlint
- parallel build (hope that's okay)
- TODO: avoid having -march defined three times in gcc commands
- add build option for native dvd (but disable by default)
- don't try to build firewire by default on < 2006.0
- multiarch macros on >= 10.2
- fix icons for menu

* Fri May 21 2005 Colin Guthrie <mythtv@colin.guthr.ie> 0.18.1-2.mdk10.2.thac
- Patch has_library funcion in myth on x86_64 builds to detect libs correctly

* Fri May 20 2005 Colin Guthrie <mythtv@colin.guthr.ie> 0.18.1-1.mdk10.2.thac
- Fixes for x86_64 builds
- Bump version to 0.18.1

* Sun Apr 24 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.18-2.mdk10.2.thac
- Sync with changes from Stefan van der Eijk <stefan@eijk.nu>
- re-did the --with & --without mechanism
- re-did the BuildRequires
- used %%configure instead of editting the settings.pro file

* Sun Apr 24 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.18-1.mdk10.2.thac
- 0.18
- Fix spec to build on pclo


* Wed Feb 16 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.17-3.mdk10.1.thac
- Fix Provides lybmyth = 0.17

* Tue Feb 15 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.17-2.mdk10.1.thac
- Chenge conlicts xmltv-grabbers to obsoletes

* Sun Feb 13 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.17-1.mdk10.1.thac
- Update to 0.17
- Sync with Axel Thimm spec file
- Remove dependencies on xmltv-grabbers and mysql (Edward Rudd
  <eddie@omegaware.com>)..
- Enable opengl_vsync and xrandr for some distributions.

* Mon Oct 25 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-5.mdk10.1.thac
- 5.mdk10.1.thac
- Where "5" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Fri Oct 22 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-4thac
- Synced with Sefan van der Eijks spec file
- Updated requiremnts for kdelibs,xmlltv and lame
- Rebuilt for Mandrake-10.1

* Mon Oct 05 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-3thac
- Changed requirement to qt3 >= 3.3.3

* Fri Sep 10 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-2thac 
- Included .png files for html help

* Fri Sep 10 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-1thac
- Updated to latest version
- Included dvb support in the build. 
- Changed back to thac release to be able to support nnidia and via builds.

* Wed Jun 23 2004 Stefan van der Eijk <stefan@eijk.nu> 0.15.1-2plf
- turn off building against NVIDIA by default, untill the NVIDIA
  packages are in plf
- patch0 gcc 3.4 fixes

* Wed Jun 02 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.15.1-1plf
- Updated to latest version

* Fri May 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.15-1plf
- Updated to latest version
- Use workaround for qmake project depth bug
  (by Robert Hardy <rhardy@webcon.ca>).
- Split off mythtvsetup and the base themes into their own sub packages.
- Make mysql.txt part of both frontend and backend.
- Added support for arts and dvb. arts has been enabled by default.
- Disable directfb in default build.

* Sat Feb 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.14-4plf
- Added the missing configfiles dir to %doc

* Sat Feb 21 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.14-3plf
- Clean spec file for Mandrake menu.

* Sat Feb 21 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.14-2plf
- Readded first time myth-backend mysql setup instruction.

* Sun Feb 01 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.14-1plf
- Updated to latest version

* Tue Jan 13 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-5plf
- cleaned up spec file

* Fri Dec 26 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-4plf
- Changed to plf release

* Sun Dec 14 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-3thac
- Merged changes made by stefan@eijk.nu

* Sun Dec 14 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-2thac
- Added the tvformat patch
- Cleaned up spec file

* Sat Dec 13 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-1thac
- Updated to latest version

* Wed Oct 29 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.12-3thac
- Added missing dependency for libqt3-mysql in mythtv-backend

* Thu Oct 23 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.12-2thac
- Rebuilt for Mandrake 9.2

* Sun Oct 19 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.12-1thac
- Updated to latest version

* Mon Oct 06 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.11-1thac
- Changed naming
- Added imdb patch

* Mon Aug 25 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.11-2mdk
- Fix location of localstatedir from Frederic Crozat <fcrozat@mandrakesoft.com>

* Sun Aug 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.11-1mdk
- Updated to latest version

* Wed Jul 16 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.10-2mdk
- Added patch for latest XMLTV from Alex.Thimms red hat package

* Mon Jul 07 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.10-1mdk
- Updated to latest version
- with latest XmlTV dependency
- Added all the latest from Alex.Thimms RedHat spec.

* Sun Jun 15 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.9.1-1mdk
- Updated to latest version
- with latest XmlTV dependency

* Thu Apr 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8-6mdk
- Removed the mysql dependency from frontend to backend.
  Frontend only needs qt3-mysql.

* Thu Apr 10 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8-5mdk
- Rebuilt with lataest XmlTV dependency

* Fri Mar 28 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8-4mdk
- Cleaned up spec file.

* Fri Mar 28 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8-3mdk
- Added missing dependency for libqt3-mysql needed for 9.1

* Thu Mar 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8-2mdk
- Recompiled for Mandrake 9.1

* Mon Mar 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.8-1mdk
- Recompiled for Mandrake 9.0

* Sun Mar 23 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Fixed desktop entries.

* Sat Mar 22 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Add g flag to sed.
- Don't use mythtv user yet.

* Fri Mar 21 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Add mythtv user.
- Add desktop entries.

* Wed Mar 19 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Added start/stop scripts for mythbackend.

* Tue Mar 18 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Removed unneeded 0.7 patches.

* Mon Mar 17 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to 0.8.
- Synced with Matt Zimmerman's debian package (package splitting).
- Split off lib, devel, frontend, backend packages.

* Thu Feb 13 2003 Paul Jara <pjara@rogers.com> 0.7-0at7
- Added a patch that prevents a segmentation fault in mythfilldatabase.

* Thu Jan 16 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 0.7-0at6
- Added dependency to qt-MySQL (Roy Stogner <roystgnr@ticam.utexas.edu>).

* Thu Dec  5 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 0.7-0at4
- fixed installation paths.

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.



